Description

Hi,

Please let me know steps to upgrade Redmin 3.2.0 to 3.3.1 version, Unable to upgrade redmin 3.2.0 to 3.3.1,Giving below

mentioned errors,

Gem::InstallError: public_suffix requires Ruby version >= 2.0.

History

#1 - 2016-12-15 22:34 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Resolution set to Invalid

Please ask questions on the forums

#2 - 2016-12-18 15:36 - Toshi MARUYAMA

- Description updated

#3 - 2016-12-29 00:24 - Adrian Klaver

Same issue though going from 3.2.3 to 3.2.4.

The Redmine site says:

http://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements

3.2, 3.1     ruby 1.9.33, 2.0.02, 2.1, 2.21     Rails 4.20

I have:

aklaver@arkansas:~/redmine-3.2.4$ ruby --version

ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

I get:

Gem::InstallError: public_suffix requires Ruby version >= 2.0.

An error occurred while installing public_suffix (2.0.4), and Bundler cannot continue.

Make sure that `gem install public_suffix -v '2.0.4'` succeeds before bundling.

aklaver@arkansas:~/redmine-3.2.4$ gem install --install-dir vendor/bundle/ruby/1.9.1/gems/ public_suffix -v '2.0.4'

Fetching: public_suffix-2.0.4.gem (100%)

ERROR:  Error installing public_suffix:

public_suffix requires Ruby version >= 2.0.

So either the requirements are wrong or the wrong version of public_suffix is being shipped.

FYI there was no such problem with 3.2.3 on same machine.

#4 - 2016-12-29 03:06 - Toshi MARUYAMA

Adrian Klaver wrote:

Same issue though going from 3.2.3 to 3.2.4.

 I think it is fixed by r15947.
http://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements
https://www.redmine.org/projects/redmine/repository/svn/revisions/15947


ruby 1.9.3p484 (2013-11-22 revision 43786) [x86_64-linux]

 Your ruby is too old.

#5 - 2016-12-31 16:08 - Adrian Klaver

How can it be too old if it meets the requirements here:

http://www.redmine.org/projects/redmine/wiki/RedmineInstall#Requirements

In particular that 3.2.3 worked fine. If a minor release changes the base language requirement I would not call that minor and it should not happen. If it

does it should loudly called out.

So did the Ruby version change for 3.2.x?

If so the requirements page needs to be updated to reflect that.

#6 - 2017-01-01 03:47 - Toshi MARUYAMA

I have added Ruby community announcement link which support for Ruby 1.9.3 and 2.0 has ended.
#7 - 2017-01-01 04:39 - Go MAEDA

Toshi MARUYAMA wrote:

I think it is fixed by r15947.

 Adrian Klaver, probably the problem you have reported has been fixed for upcoming Redmine 3.2.5 in r15947.

Could you try the following steps?

1. Download updated version of Gemfile from http://www.redmine.org/projects/redmine/repository/entry/branches/3.2-stable/Gemfile

2. Replace Gemfile on your Redmine 3.2.4 installation with the one you downloaded

3. run bundler

#8 - 2017-01-01 19:16 - Adrian Klaver

Toshi MARUYAMA wrote:

I have added Ruby community announcement link which support for Ruby 1.9.3 and 2.0 has ended.
 That is helpful, but it does not address whether Redmine is still supporting 1.9.3 and 2.0. As it stands now, with reference to the requirements page,

those versions are supported by Redmine. If Redmine indeed is not going to support those versions then the requirements page needs to be changed

to reflect that. Though as I previously stated, doing that on a minor release to an existing series does not seem to be the way to go about it.

Go MAEDA wrote:

Adrian Klaver, probably the problem you have reported has been fixed for upcoming Redmine 3.2.5 in r15947.

Could you try the following steps?

1. Download updated version of Gemfile from http://www.redmine.org/projects/redmine/repository/entry/branches/3.2-stable/Gemfile

2. Replace Gemfile on your Redmine 3.2.4 installation with the one you downloaded

3. run bundler

 Went through the steps above and it worked. I have a functioning site running 3.2.4 using Ruby 1.93. Thanks.
